Name:           scisoft-cdsclient
Version:        3.84
Release:        3%{?dist}
Summary:        Tools to query databases at CDS
Distribution:   Scisoft
License:        GPLv3
Group:          Applications/Scientific
URL:            http://cdsweb.u-strasbg.fr/doc/cdsclient.html
#Source:         ftp://cdsarc.u-strasbg.fr/pub/sw/cdsclient-%{version}.tar.gz
Source:         cdsclient-%{version}.tar.gz
# Patch to get useful debuginfo. strip was called in Makefile before and compiler
# flags were ignored, submitted upstream by email
Patch0:         fix_makefile_debuginfo.patch

Requires:       csh
Provides:       cdsclient

%description
The cdsclient package is a set of C and shell routines which can be built on
Unix stations or PCs running Linux, which once compiled allow to query some
databases located at CDS or on mirrors over the network.

The cdsclient package includes two generic query programs:
- vizquery, a program to remotely query VizieR. It connects the VizieR server
  via the HTTP protocol (requires an access to the port 80)
- find_cats, a program for fast access to large surveys from a list of
  positions, via a dedicated client (requires an access to the port 1660)
  Specific programs like find2mass or finducac3 are connecting directly to one
  of the very large surveys available from CDS (a very large survey has 107
  or more rows).

%prep
%setup -q -n cdsclient-%{version}
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -d %{buildroot}%{_mandir}
install -m 755 -d %{buildroot}%{_datadir}/%{name}
%make_install PREFIX=%{buildroot}%{_prefix} MANDIR=%{buildroot}%{_mandir}
# Remove this unneeded stuff
rm -f %{buildroot}%{_prefix}/versions
rm -f %{buildroot}%{_bindir}/find_cats.gz
# Move abibcode.awk (non executable called by abibcode) to /usr/share/cdsclient/
mv %{buildroot}%{_bindir}/abibcode.awk %{buildroot}%{_datadir}/%{name}/abibcode.awk
%{_fixperms} %{buildroot}/*

%files
%license COPYING COPYRIGHT
%dir %{_datadir}/%{name}
%dir %{_mandir}/mantex
%{_bindir}/*
%{_datadir}/%{name}/abibcode.awk
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/mantex/*

%changelog
* Fri Feb 23 2018 Artur Szostak <aszostak@partner.eso.org> 3.72-2
- Changed to installing into standard system locations for better integration.

* Fri Feb 23 2018 Artur Szostak <aszostak@partner.eso.org> 3.72
- Integrated into automated build system.
- Updated with improvements from Fedora 27 version of cdsclient's Specfile.

* Thu Nov 14 2013 <cguirao@eso.org>
- adapted to SCISOFT
